Skip to main content
PUT
/
environment
/
{environmentId}
Edit an environment
curl --request PUT \
  --url https://api.qovery.com/environment/{environmentId} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "mode": "PRODUCTION"
}
'
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "created_at": "2023-11-07T05:31:56Z",
  "name": "<string>",
  "organization": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "project": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "cloud_provider": {
    "provider": "aws",
    "cluster": "us-east-2"
  },
  "mode": "PRODUCTION",
  "cluster_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "updated_at": "2023-11-07T05:31:56Z",
  "last_updated_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "cluster_name": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://qovery-erebe-skills.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

environmentId
string<uuid>
required

Environment ID

Body

application/json
name
string
mode
enum<string>
Available options:
DEVELOPMENT,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

Response

Edit an environment

id
string<uuid>
required
read-only
created_at
string<date-time>
required
read-only
name
string
required

name is case insensitive

organization
object
required
project
object
required
cloud_provider
object
required
mode
enum<string>
required
Available options:
DEVELOPMENT,
PREVIEW,
PRODUCTION,
STAGING
Example:

"PRODUCTION"

cluster_id
string<uuid>
required
updated_at
string<date-time>
read-only
last_updated_by
string<uuid>

uuid of the user that made the last update

cluster_name
string<string>